Bug 807155 - make build-deploy-jar to display usage message when no arguments are given.
make build-deploy-jar to display usage message when no arguments are given.
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: HDFS (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: M S Vishwanath Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 03:52 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 07:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-27 03:52:42 EDT
Description of problem:
build-deploy-jar prints only error message when no arguments are given. Make it print usage message also along the error message.

Version-Release number of selected component (if applicable):
git master

How reproducible:
Always

Steps to Reproduce:
1. run ./build-deploy-jar with no arguments
  
Actual results:
Only error message is displayed.

Expected results:
Usage should also be displayed.
Comment 1 Anand Avati 2012-03-28 15:06:01 EDT
CHANGE: http://review.gluster.com/3017 (build-deploy-jar.py: Print usage message when hadoop home directory is missing.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 M S Vishwanath Bhat 2012-04-12 07:57:43 EDT
Now gives proper error message when no arguments are given to the script.

Note You need to log in before you can comment on or make changes to this bug.